﻿/*ukol 3.1/3.2 */
libname dm1 'D:\SAS_depot\cviceni\cv4';
goptions reset=all;

/*eseni 3.1*/
goptions reset=all htitle=12pt;
axis1 label=(f='arial/bo' h=12pt)  value=(f='arial/bo' h=10pt);
axis2 label=(a=90 f='arial/bo' h=12pt) value=(f='arial/bo' h=10pt);

legend1 label=(color=black f='arial/bo' h=12pt position=top)
position=(top right inside) mode=protect value=(f='arial/bo' h=10pt)
frame origin=(70pct,86pct);
legend2 label=(color=black f='arial/bo' h=10pt position=top 'Regression lines')
position=(top right inside) frame mode=protect 
value=(f='arial/bo' h=10pt)origin=(70pct,78pct);

proc gplot data=dm1.sales1;
plot hire_age*birth_date=gender /haxis=axis1 vaxis=axis2 legend=legend1;
plot2 hire_age*birth_date=gender /noaxis legend=legend2;
title 'Relation of hire_age and birth_date';
symbol1 value=dot color=red h=0.4;
symbol2 value=dot color=blue h=0.4;
symbol3 value=none interpol=r width=5 color=red;
symbol4 value=none interpol=r width=5 color=blue;
format birth_date mmddyy10.;
run; 


/*ukol 2 */

goptions reset=all;
proc gplot data=sashelp.workers;
plot (electric masonry)*date / overlay legend;
run; 

/*reseni 3.2*/
goptions reset=all htitle=12pt;;
axis1 label=(f='arial/bo' h=12pt)  value=(f='arial/bo' h=10pt);
axis2 label=(a=90 f='arial/bo' h=12pt 'number of workers')  value=(f='arial/bo' h=10pt);
legend1 label=none
position=(top left inside) mode=protect value=(f='arial/bo' h=10pt)
frame offset=(1pct) across=1 down=2;


proc gplot data=sashelp.workers;
plot (electric masonry)*date / overlay haxis=axis1 vaxis=axis2 legend=legend1;
title 'Number of workers';
symbol1 value=none color=red interpol=join w=5;
symbol2 value=none color=blue interpol=join w=5;
format date mmddyy10.;
run; 

